EMF::EMRMOVETOEX(3)

NAME
EMF::EMRMOVETOEX - EMF MoveTo (ex)

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRLINETO.

  Public Member Functions

EMRMOVETOEX (INT x, INT y)
EMRMOVETOEX (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF MoveTo (ex)

Move the drawing point to the given position.

Constructor & Destructor Documentation

  EMF::EMRMOVETOEX::EMRMOVETOEX (INT x, INT y) [inline]

Parameters
    x new x position in logical coordinates.
    y new y position in logical coordinates.

  EMF::EMRMOVETOEX::EMRMOVETOEX (DATASTREAM & ds) [inline]
Construct a MoveToEx record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRMOVETOEX::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRMOVETOEX::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRMOVETOEX::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.